/*
    Radi se po principu (n*(n-1)) - (n-2 + ... n-x>1)
*/
#include <iostream>

using namespace std;

int main()
{
    int t;
    int n[11], m[11], k[11];

    cin >> t;

    for (int i = 0; i < t; i++)
    {
        cin >> n[i] >> m[i] >> k[i];
    }

    
    for (int i = 0; i < t; i++)
    {
        int broj = 0;
        int test;

        test = n[i] * (n[i] - 1);
        for (int s = m[i]-1; s > 1; s--)
        {
            broj += s;
        }

        if (test - broj <= m[i])
        {
            if (m[i] == n[i])
            {
                cout << "Nie" << endl;
            }
            else
            {
                cout << "Tak" << endl;
            }
        }
        else
        {
            cout << "Nie" << endl;
        }
    }

    return 0;
}